import requests
import random
import time

TOKEN = "" #Put here your TOKEN
DELAY = 1  # Delay in seconds


def build_json(variable1, value1, variable2, value2, variable3, value3):
    try:
        lat = random.randrange(34, 36, 1) + \
            random.randrange(1, 1000, 1) / 1000.0
        lng = random.randrange(-83, -87, -1) + \
            random.randrange(1, 1000, 1) / 1000.0
        timestamp = int(time.time()) * 1000 + 5184000000
        data = {variable1: {"value": value1},
                variable2: {"value": value2, "context": {"lat": lat, "lng": lng, "text-key" : "jose"}},
                variable3: {"value": value3}}
        return data
    except:
        return None


def post_var(device, value1, value2, value3):
    try:
        url = "http://things.ubidots.com/"
        url = url + "api/v1.6/devices/" + device
        headers = {"X-Auth-Token": TOKEN, "Content-Type": "application/json"}
        data = build_json("fuel", value1, "position", value2, "speed", value3)
        print(data)
        req = requests.post(url=url, headers=headers,
                            json=data)
        print(req.text)
        return req.json()
    except:
        pass


if __name__ == "__main__":
    while True:
        fuel = random.randrange(8, 11, 1) - random.randrange(0, 11, 1)/10.0
        speed = random.randrange(0, 100, 1) - random.randrange(0, 100, 1)/1000.0
        print(post_var("truck", fuel, 1, speed))
        time.sleep(DELAY)
